const NextI18Next = require('next-i18next').default;

const NextI18NextInstance = new NextI18Next({
  defaultNS: 'common',
  lowerCaseLng: true,
  localeSubpaths: {
    'zh-tw': 'zh-tw',
    'zh-cn': 'zh-cn',
    ja: 'ja',
  },
  defaultLanguage: 'en',
  otherLanguages: ['zh-tw', 'zh-cn', 'ja'],
});

module.exports = NextI18NextInstance;
